%define anolis_release 1

%global debug_package   %{nil}

%global provider        github
%global provider_tld    com
%global project         go-bindata
%global repo            go-bindata
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           go-bindata
Version:        3.1.3
Release:        %{anolis_release}%{?dist}
Summary:        A small utility which generates Go code from any file
License:        MIT
URL:		https://%{provider_prefix}
Source0:	https://%{provider_prefix}/archive/refs/tags/v%{version}.tar.gz
Source1:        %{name}-%{version}-vendor.tar.gz

BuildRequires:  golang

%description
%{summary}

This tool converts any file into managable Go source code. Useful for
embedding binary data into a go program. The file data is optionally gzip
compressed before being converted to a raw byte slice.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -n %{name}-%{version}
%setup -q -D -T -a 1 -n %{name}-%{version}

%build
mkdir -p src/github.com/go-bindata/
ln -s ../../../ src/github.com/go-bindata/go-bindata

export GOPATH=$(pwd):%{gopath}
export GO111MODULE=off

go build -o bin/go-bindata %{import_path}/go-bindata

%install
install -d -p %{buildroot}%{_bindir}
install -m 755 bin/go-bindata %{buildroot}%{_bindir}/go-bindata

%generate_compatibility_deps

%files
%{_bindir}/go-bindata
%dir %{abidir}
%{abidir}/go-bindata-option.list

%files doc
%doc LICENSE README.md

%changelog
* Tue Mar 28 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 3.1.3-1
- Init from upstream
